##############################################################################
# read.vel reads real drifter data files into data frames and combines all
# 19 data frames into a list called drifter.  The function assigns individual
# data frames and the list to .Data directory.
##############################################################################

read.vel <- function()
{
	header <- c("days", "latitude", "longitude", "temperature", "v1", "v2")
	v80 <<- read.table("80.vel",col.names=header)
	v81 <<- read.table("81.vel",col.names=header)
	v82 <<- read.table("82.vel",col.names=header)
	v83 <<- read.table("83.vel",col.names=header)
	v84 <<- read.table("84.vel",col.names=header)
	v85 <<- read.table("85.vel",col.names=header)
	v86 <<- read.table("86.vel",col.names=header)
	v87 <<- read.table("87.vel",col.names=header)
	v88 <<- read.table("88.vel",col.names=header)
	v89 <<- read.table("89.vel",col.names=header)
	v90 <<- read.table("90.vel",col.names=header)
	v91 <<- read.table("91.vel",col.names=header)
	v92 <<- read.table("92.vel",col.names=header)
	v93 <<- read.table("93.vel",col.names=header)
	v95 <<- read.table("95.vel",col.names=header)
	v96 <<- read.table("96.vel",col.names=header)
	v97 <<- read.table("97.vel",col.names=header)
	v98 <<- read.table("98.vel",col.names=header)
	v99 <<- read.table("99.vel",col.names=header)
	
	drifter <<- list(v80=v80, v81=v81, v82=v82, v83=v83, v84=v84, v85=v85,
			v86=v86, v87=v87, v88=v88, v89=v89, v90=v90, v91=v91,
			v92=v92, v93=v93, v95=v95, v96=v96, v97=v97, 
			v98=v98, v99=v99 )
	invisible()
}

##############################################################################
# make.vel.frame transforms the "drifter" list into a big data frame. 
# The data are arranged in the increasing order of the numbers in the
# filenames.  Make sure to "read.vel" before making the data frame.   
##############################################################################

make.vel.frame <- function()
{
	days <- numeric(0)
	x <- numeric(0)
	lat <- numeric(0)
	long <- numeric(0)
	v1 <- numeric(0)
	v2 <- numeric(0)

	for (i in 1:length(drifter))
	{
		days <- c(days, drifter[[i]]$days)
		x <- c(x, rep(tag[i], dim(drifter[[i]])[1]))
		lat <- c(lat, drifter[[i]]$lat)
		long <- c(long, drifter[[i]]$long)
		v1 <- c(v1, drifter[[i]]$v1)
		v2 <- c(v2, drifter[[i]]$v2)
	}

	data.frame(tag=x, days=days, latitude=lat, longitude=long, 
		v1=v1, v2=v2)
}
